Status: Rejected

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 20983
Description

For try to reduce action to exported physical table.
| wish processing algorithms keep join field when they exist.

Example : Join layer with attribute from table file (posgresql, csv or dbf)
Processing > Dissolve in memory layer or temporary file lost all attribute from table and keep only geometric layer attribute.

History

#1 - 2015-06-05 12:38 PM - Giovanni Manghi
- Status changed from Open to Feedback

- Category set to Processing/Core

what tool you used to do the dissolve? In processing there are tools (saga,grass,ogr) that don't know anything about qgis joins: processing "simply" call
them and they go pick the datasource. Maybe this would be possible with qgis tools.

#2 - 2015-06-05 12:39 PM - Giovanni Manghi

- Category changed from Processing/Core to Processing/QGIS

#3 - 2015-06-05 12:57 PM - Nicolas Rochard

Giovanni Manghi wrote:

what tool you used to do the dissolve? In processing there are tools (saga,grass,ogr) that don't know anything about qgis joins: processing "simply"

call them and they go pick the datasource. Maybe this would be possible with qgis tools.

Yes | mean only about QGIS tools of course.
For Dissolve or Save Selected Features it's QGIS tool in Processing.

#4 - 2015-06-05 01:49 PM - Giovanni Manghi

- Subject changed from Keep join field when using processing to Keep join field when using processing/qgis
- Status changed from Feedback to Open

#5 - 2016-04-11 04:04 AM - Alexander Bruy

- Status changed from Open to Feedback

Not sure if we should change current situation. It may be quite confusing for users that some algs (e.g. QGIS) preserver joined/virtual fiels while other algs
(based on 3rd party tools) don't.

| started discussion about this in mailing list http://lists.osgeo.org/pipermail/qgis-user/2016-April/036018.html

#6 - 2016-05-23 06:20 AM - Alexander Bruy
- Resolution set to wontfix
- Status changed from Feedback to Rejected

We decided to leave this as is, so all Processing algs behave consistent
